Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class JoinCondition

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.JoinCondition

All Implemented Interfaces:
  IJoinCondition

    public class JoinCondition

extends java.lang.Object
implements IJoinCondition

An implementation of IJoinConditionExpression.

Field Summary

Fields inherited from interface org.eclipse.birt.data.engine.api.IJoinCondition
`OP_EQ`

Constructor Summary
`JoinCondition(IScriptExpression left, IScriptExpression right, int op)` Constructor.

Method Summary
`IScriptExpression` | `getLeftExpression()` This method returns the IScriptExpression instance which will be evaluated against the data set which servers as left operand of a joint.
`int` | `getOperator()` This method returns the integer standing for a compare operator.
`IScriptExpression` | `getRightExpression()` This method returns the IScriptExpression instance which will be evaluated against the data set which servers as right operand of a joint.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinCondition

    public JoinCondition(IScriptExpression left,
                         IScriptExpression right,
                         int op)
                  throws org.eclipse.birt.data.engine.core.DataException

  Constructor.

  Parameters:
    `left` -
    `right` -
    `op` -
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

Method Detail

### getLeftExpression

    public IScriptExpression getLeftExpression()

  Description copied from interface: `IJoinCondition`
  This method returns the IScriptExpression instance which will be evaluated against the data set which servers as left operand of a joint.

  Specified by:
    `getLeftExpression` in interface `IJoinCondition`
  Returns:
    the expression servers as first operand of a joint.

### getRightExpression

    public IScriptExpression getRightExpression()

  Description copied from interface: `IJoinCondition`
  This method returns the IScriptExpression instance which will be evaluated against the data set which servers as right operand of a joint.

  Specified by:
    `getRightExpression` in interface `IJoinCondition`
  Returns:
    the expression servers as second operand of a joint.

### getOperator

    public int getOperator()

  Description copied from interface: `IJoinCondition`
  This method returns the integer standing for a compare operator. All supported compare operators are defined in this interface.

  Specified by:
    `getOperator` in interface `IJoinCondition`
  Returns:
    The operator specified using one of the OP_xxx enumeration values defined in this interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.